## org.eclipse.emf.edit.ui.provider
Class PropertyDescriptor.IntegerCellEditor

    java.lang.Object
      org.eclipse.jface.viewers.CellEditor
          org.eclipse.jface.viewers.TextCellEditor
              org.eclipse.emf.edit.ui.provider.PropertyDescriptor.IntegerCellEditor

Enclosing class:
  PropertyDescriptor

Deprecated.

    @Deprecated
    public static class PropertyDescriptor.IntegerCellEditor

extends TextCellEditor

This cell editor ensures that only Integer values are supported

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.jface.viewers.CellEditor
`CellEditor.LayoutData`

Field Summary

Fields inherited from class org.eclipse.jface.viewers.TextCellEditor
`text`

Fields inherited from class org.eclipse.jface.viewers.CellEditor
`COPY, CUT, DELETE, FIND, PASTE, REDO, SELECT_ALL, UNDO`

Constructor Summary
`PropertyDescriptor.IntegerCellEditor(Composite composite)` Deprecated.

Method Summary
`java.lang.Object` `doGetValue()` Deprecated.
`void` `doSetValue(java.lang.Object value)` Deprecated.

Methods inherited from class org.eclipse.jface.viewers.TextCellEditor
`createControl, doSetFocus, editOccured, getLayoutData, handleDefaultSelection, isCopyEnabled, isCutEnabled, isDeleteEnabled, isPasteEnabled, isSaveAllEnabled, isSelectAllEnabled, keyReleaseOccured, performCopy, performCut, performDelete, performPaste, performSelectAll`

Methods inherited from class org.eclipse.jface.viewers.CellEditor

`activate, activate, addListener, addPropertyChangeListener, create, deactivate, dispose, fireApplyEditorValue, fireCancelEditor, fireEditorValueChanged, fireEnablementChanged, focusLost, getControl, getErrorMessage, getStyle, getValidator, getValue, isActivated, isCorrect, isDirty, isFindEnabled, isRedoEnabled, isUndoEnabled, isValueValid, markDirty, performFind, performRedo, performUndo, removeListener, removePropertyChangeListener, setErrorMessage, setFocus, setStyle, setValidator, setValue, setValueValid, valueChanged`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PropertyDescriptor.IntegerCellEditor

    public PropertyDescriptor.IntegerCellEditor(Composite composite)

  Deprecated.

Method Detail

### doGetValue

    public java.lang.Object doGetValue()

  Deprecated.
  Overrides:
    `doGetValue` in class `TextCellEditor`

### doSetValue

    public void doSetValue(java.lang.Object value)

  Deprecated.
  Overrides:
    `doSetValue` in class `TextCellEditor`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.